[Unit]
Description=Restic service for {{ jobs.name }}
StartLimitIntervalSec=90min
StartLimitBurst=7
{% if jobs.unit_opts is defined %}
{{ jobs.unit_opts }}
{% endif %}

[Service]
Type=oneshot
Restart=on-failure
RestartSec=10min
User={{ restic_user }}

{% if jobs.commands is defined %}
{% for cmd in jobs.commands %}
ExecStart={{ restic_install_path }}/restic {{ cmd }}
{% endfor %}
{% else %}
ExecStart={{ restic_install_path }}/restic {{ jobs.command }}
{% endif %}

{% if jobs.service_opts is defined %}
{{ jobs.service_opts }}
{% endif %}

[Install]
WantedBy=restic-{{ jobs.name }}.target

